const getCurrentTabUrl = () => {
  return new Promise((resolve) => {
    chrome.tabs.query({
      active: true,
      currentWindow: true
    }, (tabs) => {
      const url = tabs[0].url.split("?")[0];
      resolve(url);
    });
  });
};

const getArchiveUrl = (type, url) => {
  switch (type) {
    case 'viewArchiveOrg':
      return `https://web.archive.org/web/*/${url}`;
    case 'saveArchiveOrg':
      return `https://web.archive.org/save/${url}`;
    case 'viewArchiveIs':
      return `https://archive.is/${url}`;
    case 'saveArchiveIs':
      return `https://archive.is/?url=${url}`;
    default:
      return url;
  }
};

const setButtonUrls = async () => {
  const url = await getCurrentTabUrl();
  const btns = document.querySelectorAll("a");

  btns.forEach(btn => {
    const archiveUrl = getArchiveUrl(btn.id, url);
    btn.addEventListener('click', () => {
      // console.log(archiveUrl);
      window.open(archiveUrl, '_blank');
    });
  });
};

document.addEventListener('DOMContentLoaded', setButtonUrls);
